Skip to main content
POST
Create a custom agent action

Authorizations

Authorization
string
header
required

Opaque user-bound ca_ account credential. Each request checks live account scopes, verified email, expiry, revocation and the issuer session. Not a workspace ck_ key or OAuth access token.

Path Parameters

workspaceId
string
required
Minimum string length: 1
agentId
string
required
Minimum string length: 1

Body

application/json
name
string
required
Pattern: ^[a-zA-Z0-9_]{1,64}$
description
string
required
Required string length: 1 - 1000
urlTemplate
string<uri>
required
method
enum<string>
default:GET
Available options:
GET,
POST,
PUT,
PATCH,
DELETE
headers
object
paramSchema
object
bodyTemplate
object | null

Response

Create a custom agent action

id
string
required
Minimum string length: 1
workspaceId
string
required
Minimum string length: 1
agentId
string
required
Minimum string length: 1
name
string
required
description
string
required
method
enum<string>
required
Available options:
GET,
POST,
PUT,
PATCH,
DELETE
urlTemplate
string
required
paramSchema
object
required
bodyTemplate
object | null
required
headersConfigured
boolean
required
createdAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
updatedAt
string<date-time>
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$